## org.apache.solr.client.solrj.impl
Class HttpSolrServer.RemoteSolrException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.apache.solr.common.SolrException
                      org.apache.solr.client.solrj.impl.HttpSolrServer.RemoteSolrException

All Implemented Interfaces:
  Serializable

Enclosing class:
  HttpSolrServer

    public static class HttpSolrServer.RemoteSolrException

extends SolrException

Subclass of SolrException that allows us to capture an arbitrary HTTP status code that may have been returned by the remote server or a proxy along the way.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.solr.common.SolrException
`SolrException.ErrorCode`

Field Summary

Fields inherited from class org.apache.solr.common.SolrException
`ignorePatterns`

Constructor Summary
`HttpSolrServer.RemoteSolrException(int code, String msg, Throwable th)`

Method Summary

Methods inherited from class org.apache.solr.common.SolrException
`code, doIgnore, getRootCause, log, log, log, log, toStr, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HttpSolrServer.RemoteSolrException

    public HttpSolrServer.RemoteSolrException(int code,
                                              String msg,
                                              Throwable th)

Parameters:
  `code` - Arbitrary HTTP status code
  `msg` - Exception Message
  `th` - Throwable to wrap with this Exception

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.